Bug 232633 - devel/meson: Specify --infodir when running meson
Summary: devel/meson: Specify --infodir when running meson
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-24 16:11 UTC by Ting-Wei Lan
Modified: 2018-11-09 08:33 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
Specify --infodir when running meson (378 bytes, patch)
2018-10-24 16:11 UTC, Ting-Wei Lan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ting-Wei Lan 2018-10-24 16:11:33 UTC
Created attachment 198574 [details]
Specify --infodir when running meson

The default path for info pages is 'info' in ports, while the default of meson is 'share/info'. We will want to specify --infodir here if it isn't already set in other places.
Comment 1 commit-hook freebsd_committer 2018-11-08 21:14:28 UTC
A commit references this bug:

Author: kwm
Date: Thu Nov  8 21:13:38 UTC 2018
New revision: 484481
URL: https://svnweb.freebsd.org/changeset/ports/484481

Log:
  Tell meson where we install info files.

  PR:		232633
  Submitted by:	Ting-Wei Lan <lantw44@gmail.com>

Changes:
  head/Mk/Uses/meson.mk
Comment 2 commit-hook freebsd_committer 2018-11-09 08:30:59 UTC
A commit references this bug:

Author: koobs
Date: Fri Nov  9 08:30:05 UTC 2018
New revision: 484505
URL: https://svnweb.freebsd.org/changeset/ports/484505

Log:
  Mk/Uses/meson.mk: Fix missing $ in INFO_PATH variable

  Add missing $ inadvertently committed in ports r484481

  PR:		232633
  Reported by:	danfe (via ports-committers)
  Approved by:	portmgr (blanket: just fix it)

Changes:
  head/Mk/Uses/meson.mk
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2018-11-09 08:33:18 UTC
Assign to committer that resolved